Skip to main content

Issue Ad Hoc Redemption

POST 

/client/users/:correlation_id/adhoc-redemption

This request allows ad hoc redemptions.

In the case of household redemptions, the points for redemption are taken proportionally from each contributor. If a contributor has no points to contribute, then the contributions are spread amongst the remaining contributors and no transaction is recorded for that contributor with zero. Last Activity Date (LAD) is updated for all contributors who provided points, their balances are updated, and transactions are recorded for each.

Redemptions cannot be reserved or made using PHONE_NUMBER as the X-Identifier-Type on Start Session, so if it is used, an error message is returned.

Request

Body

AttributeDefinitionFormatNotes
businessUnitThe business unit for the transaction.StringName of business unit. Mandatory field.
reservationTokenReservation token for the ad hoc redemptionStringMandatory field.
externalReferenceIdReference ID used by the client to identify the redemption.StringOptional field.
channelThe channel for the transaction.StringFor example, "APP" or "POS".
Optional field.

Response

AttributeDefinitionFormatNotes
transactionIdUnique identifier for the ad hoc redemption transaction.String
messageSuccess messageString

Error Responses

statusCodeerrorMessageerrorCodeDefinition
400 Bad RequestBusiness Unit is mandatory and required to be non-emptyINVALID_REQUESTThe Business Unit relevant to the ad hoc redemption transaction must be included.
400 Bad RequestAccount is not eligible for redemption.INVALID_REQUESTThe x-identifier-type PHONE_NUMBER cannot be used for reservations or redemptions.
400 Bad RequestBusiness Unit {{businessUnit}} is not a valid business unitINVALID_REQUESTThe Business Unit must be in the list of valid business units supplied by the client and must be literally the same (no changed or additional characters).
400 Bad RequestreservationToken is mandatory and required to be non-emptyINVALID_REQUESTThe reservation token relevant to the ad hoc redemption transaction must be included.
400 Bad RequestCould not find the reservation.INVALID_REQUESTThe reservation token specified is invalid or expired.
400 Bad RequestAd Hoc Redemption feature is not enabled.INVALID_REQUESTThe ad hoc redemption transaction cannot be processed because the feature is not enabled.
400 Bad RequestCould not find the account.INVALID_REQUESTThe account identified for this ad hoc redemption transaction could not be found.

Request

Responses

200 - Ad Hoc Redemption